org.eclipse.draw2d.geometry

## Interface Translatable

All Known Implementing Classes:
  AbsoluteBendpoint, CaretInfo, Dimension, Point, PointList, PrecisionDimension, PrecisionPoint, PrecisionRectangle, Rectangle

    public interface Translatable

A translatable object can be translated (or moved) vertically and/or horizontally.

### Method Summary

Methods
`void` `performScale(double factor)` Scales this object by the scale factor.
`void` `performTranslate(int dx, int dy)` Translates this object horizontally by `dx` and vertically by `dy`.

### Method Detail

#### performTranslate

    void performTranslate(int dx,
                        int dy)

Translates this object horizontally by `dx` and vertically by `dy`.

Parameters:
  `dx` - The amount to translate horizontally
  `dy` - The amount to translate vertically
Since:
  2.0

#### performScale

    void performScale(double factor)

Scales this object by the scale factor.

Parameters:
  `factor` - The scale factor
Since:
  2.0